### R code from vignette source 'cplexAPI.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: cplexAPI.Rnw:65-66
###################################################
library(cplexAPI)


###################################################
### code chunk number 2: cplexAPI.Rnw:93-94
###################################################
env <- openEnvCPLEX()


###################################################
### code chunk number 3: cplexAPI.Rnw:97-98
###################################################
prob <- initProbCPLEX(env)


###################################################
### code chunk number 4: cplexAPI.Rnw:101-102
###################################################
chgProbNameCPLEX(env, prob, "sample")


###################################################
### code chunk number 5: cplexAPI.Rnw:106-108
###################################################
nc <- 3
nr <- 3


###################################################
### code chunk number 6: cplexAPI.Rnw:111-112
###################################################
obj <- c(5, 4, 3)


###################################################
### code chunk number 7: cplexAPI.Rnw:115-116
###################################################
rhs <- c(5, 11, 8)


###################################################
### code chunk number 8: cplexAPI.Rnw:119-120
###################################################
sense <- rep("L", 3)


###################################################
### code chunk number 9: cplexAPI.Rnw:123-124
###################################################
lb <- rep(0, 3)


###################################################
### code chunk number 10: cplexAPI.Rnw:127-128
###################################################
ub <- rep(CPX_INFBOUND, 3)


###################################################
### code chunk number 11: cplexAPI.Rnw:131-133
###################################################
cn <- c("x1", "x2", "x3")
rn <- c("q1", "q2", "q3")


###################################################
### code chunk number 12: cplexAPI.Rnw:137-138
###################################################
beg <- c(0, 3, 6)


###################################################
### code chunk number 13: cplexAPI.Rnw:141-142
###################################################
cnt <- rep(3, 3)


###################################################
### code chunk number 14: cplexAPI.Rnw:145-146
###################################################
ind <- c(0, 1, 2, 0, 1, 2, 0, 1, 2)


###################################################
### code chunk number 15: cplexAPI.Rnw:149-150
###################################################
val <- c(2, 4, 3, 3, 1, 4, 1, 2, 2)


###################################################
### code chunk number 16: cplexAPI.Rnw:153-155
###################################################
copyLpwNamesCPLEX(env, prob, nc, nr, CPX_MAX, obj, rhs, sense,
                  beg, cnt, ind, val, lb, ub, NULL, cn, rn)


###################################################
### code chunk number 17: cplexAPI.Rnw:158-159
###################################################
lpoptCPLEX(env, prob)


###################################################
### code chunk number 18: cplexAPI.Rnw:162-163
###################################################
solutionCPLEX(env, prob)


###################################################
### code chunk number 19: cplexAPI.Rnw:166-167
###################################################
writeProbCPLEX(env, prob, "prob.lp")


###################################################
### code chunk number 20: cplexAPI.Rnw:170-172
###################################################
lp <- initProbCPLEX(env)
readCopyProbCPLEX(env, lp, "prob.lp")


###################################################
### code chunk number 21: cplexAPI.Rnw:175-176
###################################################
delProbCPLEX(env, prob)


###################################################
### code chunk number 22: cplexAPI.Rnw:179-180
###################################################
closeEnvCPLEX(env)


###################################################
### code chunk number 23: cplexAPI.Rnw:208-209
###################################################
env <- openEnvCPLEX()


###################################################
### code chunk number 24: cplexAPI.Rnw:212-213
###################################################
prob <- initProbCPLEX(env, pname = "example")


###################################################
### code chunk number 25: cplexAPI.Rnw:217-220
###################################################
nc <- 4
nr <- 3
nz <- 9


###################################################
### code chunk number 26: cplexAPI.Rnw:223-224
###################################################
obj <- c(1.0, 2.0, 3.0, 1.0)


###################################################
### code chunk number 27: cplexAPI.Rnw:227-228
###################################################
rhs <- c(20.0, 30.0, 0.0)


###################################################
### code chunk number 28: cplexAPI.Rnw:231-232
###################################################
sense <- c("L", "L", "E")


###################################################
### code chunk number 29: cplexAPI.Rnw:235-236
###################################################
ctype <- c("C", "C", "C", "I")


###################################################
### code chunk number 30: cplexAPI.Rnw:239-240
###################################################
lb <- c(0.0, 0.0, 0.0, 2.0)


###################################################
### code chunk number 31: cplexAPI.Rnw:243-244
###################################################
ub <- c(40.0, CPX_INFBOUND, CPX_INFBOUND, 3.0)


###################################################
### code chunk number 32: cplexAPI.Rnw:248-249
###################################################
beg <- c(0, 2, 5, 7)


###################################################
### code chunk number 33: cplexAPI.Rnw:252-253
###################################################
cnt <- c(2, 3, 2, 2)


###################################################
### code chunk number 34: cplexAPI.Rnw:256-257
###################################################
ind <- c(0, 1, 0, 1, 2, 0, 1, 0, 2)


###################################################
### code chunk number 35: cplexAPI.Rnw:260-261
###################################################
val <- c(-1.0, 1.0, 1.0, -3.0, 1.0, 1.0, 1.0, 10.0, -3.5)


###################################################
### code chunk number 36: cplexAPI.Rnw:264-266
###################################################
copyLpCPLEX(env, prob, nc, nr, CPX_MAX, obj, rhs, sense,
            beg, cnt, ind, val, lb, ub)


###################################################
### code chunk number 37: cplexAPI.Rnw:269-270
###################################################
copyColTypeCPLEX(env, prob, ctype)


###################################################
### code chunk number 38: cplexAPI.Rnw:273-274
###################################################
mipoptCPLEX(env, prob)


###################################################
### code chunk number 39: cplexAPI.Rnw:277-278
###################################################
solutionCPLEX(env, prob)


###################################################
### code chunk number 40: cplexAPI.Rnw:281-282
###################################################
delProbCPLEX(env, prob)


###################################################
### code chunk number 41: cplexAPI.Rnw:285-286
###################################################
closeEnvCPLEX(env)


###################################################
### code chunk number 42: cplexAPI.Rnw:292-293
###################################################
pe <- openEnvCPLEX()


###################################################
### code chunk number 43: cplexAPI.Rnw:299-300
###################################################
setIntParmCPLEX(pe, CPX_PARAM_SCRIND, CPX_ON)


###################################################
### code chunk number 44: cplexAPI.Rnw:303-304
###################################################
setIntParmCPLEX(pe, CPX_PARAM_ADVIND, 0)


###################################################
### code chunk number 45: cplexAPI.Rnw:307-308
###################################################
setDblParmCPLEX(pe, CPX_PARAM_EPRHS, 1E-09)


###################################################
### code chunk number 46: cplexAPI.Rnw:311-312
###################################################
(param <- getChgParmCPLEX(pe))


###################################################
### code chunk number 47: cplexAPI.Rnw:315-316
###################################################
mapply(getParmNameCPLEX, param, MoreArgs = list(env = pe))


###################################################
### code chunk number 48: cplexAPI.Rnw:319-320
###################################################
closeEnvCPLEX(pe)


###################################################
### code chunk number 49: cplexAPI.Rnw:333-334
###################################################
help("CPXaddcols")


###################################################
### code chunk number 50: cplexAPI.Rnw:343-345
###################################################
c2r <- system.file(package = "cplexAPI", "c2r.map")
source(c2r)


###################################################
### code chunk number 51: cplexAPI.Rnw:348-350
###################################################
pr1 <- openEnvCPLEX()
closeEnvCPLEX(pr1)


###################################################
### code chunk number 52: cplexAPI.Rnw:353-355
###################################################
pr2 <- CPXopenCPLEX()
CPXcloseCPLEX(pr2)


